// innkeeper.c

#include <npc.h>

inherit F_VILLAGER;

void create()
{
	set_name("xd", ({ "innkeeper", "keeper" }) );
	set_race("human");
	set_level(4);

	set("long", "oKOoaȴ̪xdMݰ_Ӻֺ֮OӦѦnHC\n");
	setup();
	carry_money("coin", 160);
}

void init()
{
	::init();
	if( !is_fighting() )
		do_chat( (: command, "say wTwTи̭T" :) );
}

void relay_emote(object from_ob, string verb)
{
	command("smile");
}

int accept_fight(object player)
{
	do_chat((: command, "say o" + player->rank("respectful")
	 + "uR}MpѨ٭nͷNOC\n":));
	return 0;
}

void accept_kill(object player)
{
	object ob;

	if( is_fighting() ) return;

	command("emote jsRHMϩRT");
	ob = present("garrison");
	if( !ob ) {
		ob = new(__DIR__"patrol");
		ob->move(environment());
		tell_room(environment(), "ީxLťsnM]FLӡC\n");
	}

	ob->protect(this_object());
	ob->kill_ob(player);
}
