// blade.c

#include <ansi.h>

inherit SKILL;

mapping *actions = ({
    ([  "action":		"$Nl@Mⴤ$wթ$n$l@M帨",
        "damage_type":  "",
	]),
    ([  "action":		"$NN⤤$w˴MϤOaV$n$l",
		"damage_type":	"",
	]),
    ([  "action":       "$NBڶ}M⤤$wrM$n$l٦ӹL",
		"damage_type":	"",
	]),
    ([  "action":       "$NN⤤$wu|va@ned$n$l",
        "damage_type":  "ζ",
	]),
    ([  "action":       "$N򴤤⤤$wMH大ժA$n$l",
        "damage_type":  "",
	]),
});

void create()
{
	seteuid(getuid());
	DAEMON_D->register_skill_daemon("blade");
	DAEMON_D->register_skill_daemon("secondhand blade");
	DAEMON_D->register_skill_daemon("twohanded blade");
	setup();
}

void attack_using(object me, object opponent, object weapon)
{
	int damage;
	string skill;

	if( !sscanf(weapon->query("equipped"), "weapon/%s", skill) ) return;

	if( !opponent ) {
		if( me->query_temp("last_attacked_target")) 
			message_vision(CYN "$NӰ ...C\n" NOR, me);
		return;
	}

	damage = COMBAT_D->fight(me, opponent, skill, actions[random(sizeof(actions))], weapon);
	if( damage > 0 ) me->improve_skill(skill, 1 + random(me->query_attr("int")));
}

void skill_improved(object me, string sk)
{
	int skill, learn;

	if( !sk ) sk = "blade";

	skill = me->query_skill(sk, 1);
	learn = me->query_learn(sk, 1);

	if( (skill<80) &&
		(skill+1) * (skill+1) * (skill+60) < learn ) {
		me->advance_skill(sk, 1);
		me->gain_score("martial art", (skill+1) * 10 );
	}
}
